Bug 1880410 - Convert Pipeline Visualization node to SVG
Summary: Convert Pipeline Visualization node to SVG
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Mohammed Saud
QA Contact: Karthik Jeeyar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-18 13:08 UTC by Mohammed Saud
Modified: 2021-02-24 15:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.6.0-0.nightly-2020-09-18-042646 Cluster ID: b609f12e-1cd7-4008-b1a9-059c9194397a Browser: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:80.0) Gecko/20100101 Firefox/80.0
Last Closed: 2021-02-24 15:18:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6676 0 None closed Bug 1880410: convert pipeline visualization node to SVG 2021-02-03 13:34:46 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:20:53 UTC

Description Mohammed Saud 2020-09-18 13:08:22 UTC
There are several rendering issues with the Pipeline Visualization Nodes (aka Tasks). This needs to be handled better and the whole thing is currently rendered through a foriegnObject inside the SVG visualization.

In the Pipeline Builder: The error icon can (not always) appear behind the task bubble (node). This is likely because of the foriegnObject.

In the visualization itself, it fails to scale properly with browser zoom.

Comment 2 Karthik Jeeyar 2021-01-29 10:10:47 UTC
Verified on Build: 4.7.0-0.nightly-2021-01-29-061803
url: https://console-openshift-console.apps.ci-ln-q8szzjt-f76d1.origin-ci-int-gce.dev.openshift.com/k8s/ns/karthik/tekton.dev~v1beta1~Pipeline/~new/builder
user: kubeadmin

Comment 5 errata-xmlrpc 2021-02-24 15:18:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.